dockerfiles/mailgun/sendemail
Ahmed R. Awadallah f81fc91bfd Fix build for SC2236 (#496)
* attempt to fix build

correcting error message from travis ci

In ./github-dev/cleanup-pr-branch line 5:
if [[ ! -z "$TOKEN" ]]; then
      ^-- SC2236: Use -n instead of ! -z.

* Update cleanup-pr-branch

* Update release-email-notification

corrected SC2236

* Update upload-assets

correct SC2236

* Update sendemail

Fix SC2236

* Update entrypoint.sh

Fix SC2236

* Update run

Fix SC2236
2019-09-09 08:15:10 -07:00

47 lines
905 B
Bash
Executable File

#!/bin/bash
set -e
set -o pipefail
set -x
if [[ -z "$MAILGUN_API_KEY" ]]; then
echo "Set the MAILGUN_API_KEY env variable."
exit 1
fi
if [[ -n "$MAILGUN_DOMAIN" ]]; then
MAILGUN_DOMAIN_NAME=$MAILGUN_DOMAIN
fi
if [[ -z "$MAILGUN_DOMAIN_NAME" ]]; then
echo "Set the MAILGUN_DOMAIN_NAME env variable."
exit 1
fi
if [[ -z "$TO_NAME" ]]; then
echo "Set the TO_NAME env variable."
exit 1
fi
if [[ -z "$TO_EMAIL" ]]; then
echo "Set the TO_EMAIL env variable."
exit 1
fi
if [[ -z "$SUBJECT" ]]; then
echo "Set the SUBJECT env variable."
exit 1
fi
if [[ -z "$BODY" ]]; then
echo "Set the BODY env variable."
exit 1
fi
curl -sSL --user "api:${MAILGUN_API_KEY}" \
"https://api.mailgun.net/v3/${MAILGUN_DOMAIN_NAME}/messages" \
-F 'from="Mailgun API <mailgun@'"${MAILGUN_DOMAIN_NAME}"'>"' \
-F "to=${TO_NAME}" \
-F "to=${TO_EMAIL}" \
-F 'subject="'"${SUBJECT}"'"' \
-F 'text="'"${BODY}"'"'